Bug 516519 - Review Request: globus-gram-client - Globus Toolkit - GRAM Client Library
Summary: Review Request: globus-gram-client - Globus Toolkit - GRAM Client Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 516518
Blocks: 516525 516526 516528 516531
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:01 UTC by Mattias Ellert
Modified: 2009-11-03 01:59 UTC (History)
3 users (show)

Fixed In Version: 7.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:43:23 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:01:51 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-client.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-client-7.2-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-client package contains:
GRAM Client Library

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-10-18 02:34:12 UTC
Review: globus-gram-client

Koji Build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1752397

YES: rpmlint
$ rpmlint globus-gram-client.spec \
  ../SRPMS/globus-gram-client-7.2-1.fc11.src.rpm \
  ../RPMS/x86_64/globus-gram-client-* \
   ../RPMS/noarch/globus-gram-client-doc-7.2-1.fc11.noarch.rpm 
globus-gram-client-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 1 warnings.

fine.

YES: package name,
YES: spec file name
YES: globus package guidelines.
YES: Yes ASL2.0
YES: GLOBUS_LICENSE included.
YES: English specfiel
YES: Legible specfile.
YES: Source matches upstream
$ diff -r --brief globus_gram_client-7.2 ~/globus/src/gt4.2.1-all-source-installer/source-trees/gram/client/source 
Only in globus_gram_client-7.2: GLOBUS_LICENSE

which is expected.
YES: builds see koji build above.
YES: builds on all archs - koji.
YES: BuildRequires are sane.
YES: No locales.
YES: ldconfig called
YES: Not relocatable.
YES: Owns directories.
YES: no duplicate files.
YES: all perms are defattr
YES: buildroot removed in %clean.
YES: Docs are in a doc package.
YES: %doc not needed at runtime.
YES: headers in devel package
YES: No static libs.
YES: requires pkgconfig
YES: devel requires base package.
YES: No .la files.
YES: Does not own files from another package.
YES: buildroot removed in %install
YES: utf8

All good APPROVED.

Comment 2 Mattias Ellert 2009-10-19 11:34:56 UTC
New Package CVS Request
=======================
Package Name: globus-gram-client
Short Description: Globus Toolkit - GRAM Client Library
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-10-19 16:25:34 UTC
cvs done.

Comment 4 Fedora Update System 2009-10-19 19:44:02 UTC
globus-gram-client-7.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-gram-client-7.2-1.fc12

Comment 5 Fedora Update System 2009-10-19 19:44:07 UTC
globus-gram-client-7.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gram-client-7.2-1.fc11

Comment 6 Fedora Update System 2009-10-21 00:43:18 UTC
globus-gram-client-7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-11-03 01:58:31 UTC
globus-gram-client-7.2-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-11-03 01:59:38 UTC
globus-gram-client-7.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.